<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellFormatPart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellFormatPart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellFormatPart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/CellFormatCondition.html"
               title="class in org.apache.poi.ss.format"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
               title="class in org.apache.poi.ss.format"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/format/CellFormatPart.html" target="_top">Frames</a>
        </li>
        <li><a href="CellFormatPart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.format</div>
    <h2 title="Class CellFormatPart" class="title">Class CellFormatPart</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.format.CellFormatPart</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CellFormatPart</span>
extends java.lang.Object</pre>
                <div class="block">Objects of this class represent a single part of a cell format expression.
                    Each cell can have up to four of these for positive, zero, negative, and text
                    values.
                    <p>
                        Each format part can contain a color, a condition, and will always contain a
                        format specification. For example <tt>"[Red][>=10]#"</tt> has a color
                        (<tt>[Red]</tt>), a condition (<tt>>=10</tt>) and a format specification
                        (<tt>#</tt>).
                    <p>
                        This class also contains patterns for matching the subparts of format
                        specification. These are used internally, but are made public in case other
                        code has use for them.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Ken Arnold, Industrious Media LLC</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#COLOR_GROUP">COLOR_GROUP</a></span></code>
                                    <div class="block">Within <a
                                            href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                        the group number for the matched color.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.util.regex.Pattern</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#COLOR_PAT">COLOR_PAT</a></span></code>
                                    <div class="block">Pattern for the color part of a cell format part.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CONDITION_OPERATOR_GROUP">CONDITION_OPERATOR_GROUP</a></span></code>
                                    <div class="block">Within <a
                                            href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                        the group number for the operator in the
                                        condition.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.util.regex.Pattern</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CONDITION_PAT">CONDITION_PAT</a></span></code>
                                    <div class="block">Pattern for the condition part of a cell format part.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CONDITION_VALUE_GROUP">CONDITION_VALUE_GROUP</a></span></code>
                                    <div class="block">Within <a
                                            href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                        the group number for the value in the
                                        condition.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.util.regex.Pattern</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CURRENCY_PAT">CURRENCY_PAT</a></span></code>
                                    <div class="block">Pattern for the currency symbol part of a cell format part</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.util.regex.Pattern</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT">FORMAT_PAT</a></span></code>
                                    <div class="block">Pattern for an entire cell single part.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#SPECIFICATION_GROUP">SPECIFICATION_GROUP</a></span></code>
                                    <div class="block">Within <a
                                            href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                        the group number for the format
                                        specification.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.util.regex.Pattern</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#SPECIFICATION_PAT">SPECIFICATION_PAT</a></span></code>
                                    <div class="block">Pattern for the format specification part of a cell format
                                        part.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CellFormatPart-java.util.Locale-java.lang.String-">CellFormatPart</a></span>(java.util.Locale&nbsp;locale,
                                    java.lang.String&nbsp;desc)</code>
                                    <div class="block">Create an object to represent a format part.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#CellFormatPart-java.lang.String-">CellFormatPart</a></span>(java.lang.String&nbsp;desc)</code>
                                    <div class="block">Create an object to represent a format part.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#applies-java.lang.Object-">applies</a></span>(java.lang.Object&nbsp;valueObject)</code>
                                    <div class="block">Returns <tt>true</tt> if this format part applies to the given
                                        value.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                        title="class in org.apache.poi.ss.format">CellFormatResult</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#apply-javax.swing.JLabel-java.lang.Object-">apply</a></span>(javax.swing.JLabel&nbsp;label,
                                    java.lang.Object&nbsp;value)</code>
                                    <div class="block">Apply this format part to the given value, applying the result to
                                        the
                                        given label.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                        title="class in org.apache.poi.ss.format">CellFormatResult</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#apply-java.lang.Object-">apply</a></span>(java.lang.Object&nbsp;value)</code>
                                    <div class="block">Apply this format part to the given value.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#group-java.util.regex.Matcher-int-">group</a></span>(java.util.regex.Matcher&nbsp;m,
                                    int&nbsp;g)</code>
                                    <div class="block">Returns the string from the group, or <tt>""</tt> if the group is
                                        <tt>null</tt>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static java.lang.StringBuffer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#parseFormat-java.lang.String-org.apache.poi.ss.format.CellFormatType-org.apache.poi.ss.format.CellFormatPart.PartHandler-">parseFormat</a></span>(java.lang.String&nbsp;fdesc,
                                    <a href="../../../../../org/apache/poi/ss/format/CellFormatType.html"
                                       title="enum in org.apache.poi.ss.format">CellFormatType</a>&nbsp;type,
                                    org.apache.poi.ss.format.CellFormatPart.PartHandler&nbsp;partHandler)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="COLOR_PAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COLOR_PAT</h4>
                                <pre>public static final&nbsp;java.util.regex.Pattern COLOR_PAT</pre>
                                <div class="block">Pattern for the color part of a cell format part.</div>
                            </li>
                        </ul>
                        <a name="CONDITION_PAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CONDITION_PAT</h4>
                                <pre>public static final&nbsp;java.util.regex.Pattern CONDITION_PAT</pre>
                                <div class="block">Pattern for the condition part of a cell format part.</div>
                            </li>
                        </ul>
                        <a name="SPECIFICATION_PAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SPECIFICATION_PAT</h4>
                                <pre>public static final&nbsp;java.util.regex.Pattern SPECIFICATION_PAT</pre>
                                <div class="block">Pattern for the format specification part of a cell format part.
                                </div>
                            </li>
                        </ul>
                        <a name="CURRENCY_PAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CURRENCY_PAT</h4>
                                <pre>public static final&nbsp;java.util.regex.Pattern CURRENCY_PAT</pre>
                                <div class="block">Pattern for the currency symbol part of a cell format part</div>
                            </li>
                        </ul>
                        <a name="FORMAT_PAT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FORMAT_PAT</h4>
                                <pre>public static final&nbsp;java.util.regex.Pattern FORMAT_PAT</pre>
                                <div class="block">Pattern for an entire cell single part.</div>
                            </li>
                        </ul>
                        <a name="COLOR_GROUP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COLOR_GROUP</h4>
                                <pre>public static final&nbsp;int COLOR_GROUP</pre>
                                <div class="block">Within <a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                    the group number for the matched color.
                                </div>
                            </li>
                        </ul>
                        <a name="CONDITION_OPERATOR_GROUP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CONDITION_OPERATOR_GROUP</h4>
                                <pre>public static final&nbsp;int CONDITION_OPERATOR_GROUP</pre>
                                <div class="block">Within <a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                    the group number for the operator in the
                                    condition.
                                </div>
                            </li>
                        </ul>
                        <a name="CONDITION_VALUE_GROUP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CONDITION_VALUE_GROUP</h4>
                                <pre>public static final&nbsp;int CONDITION_VALUE_GROUP</pre>
                                <div class="block">Within <a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                    the group number for the value in the
                                    condition.
                                </div>
                            </li>
                        </ul>
                        <a name="SPECIFICATION_GROUP">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SPECIFICATION_GROUP</h4>
                                <pre>public static final&nbsp;int SPECIFICATION_GROUP</pre>
                                <div class="block">Within <a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatPart.html#FORMAT_PAT"><code>FORMAT_PAT</code></a>,
                                    the group number for the format
                                    specification.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellFormatPart-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellFormatPart</h4>
                                <pre>public&nbsp;CellFormatPart(java.lang.String&nbsp;desc)</pre>
                                <div class="block">Create an object to represent a format part.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>desc</code> - The string to parse.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CellFormatPart-java.util.Locale-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellFormatPart</h4>
                                <pre>public&nbsp;CellFormatPart(java.util.Locale&nbsp;locale,
                      java.lang.String&nbsp;desc)</pre>
                                <div class="block">Create an object to represent a format part.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>locale</code> - The locale to use.</dd>
                                    <dd><code>desc</code> - The string to parse.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="applies-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applies</h4>
                                <pre>public&nbsp;boolean&nbsp;applies(java.lang.Object&nbsp;valueObject)</pre>
                                <div class="block">Returns <tt>true</tt> if this format part applies to the given value.
                                    If
                                    the value is a number and this is part has a condition, returns
                                    <tt>true</tt> only if the number passes the condition. Otherwise, this
                                    always return <tt>true</tt>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>valueObject</code> - The value to evaluate.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>true</tt> if this format part applies to the given value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="apply-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>apply</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                                    title="class in org.apache.poi.ss.format">CellFormatResult</a>&nbsp;apply(java.lang.Object&nbsp;value)</pre>
                                <div class="block">Apply this format part to the given value. This returns a <a
                                        href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                        title="class in org.apache.poi.ss.format"><code>CellFormatResult</code></a>
                                    object with the results.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to apply this format part to.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A <a href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                             title="class in org.apache.poi.ss.format"><code>CellFormatResult</code></a>
                                        object containing the results of
                                        applying the format to the value.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="apply-javax.swing.JLabel-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>apply</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
                                                    title="class in org.apache.poi.ss.format">CellFormatResult</a>&nbsp;apply(javax.swing.JLabel&nbsp;label,
                              java.lang.Object&nbsp;value)</pre>
                                <div class="block">Apply this format part to the given value, applying the result to the
                                    given label.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>label</code> - The label</dd>
                                    <dd><code>value</code> - The value to apply this format part to.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>true</tt> if the</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="parseFormat-java.lang.String-org.apache.poi.ss.format.CellFormatType-org.apache.poi.ss.format.CellFormatPart.PartHandler-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseFormat</h4>
                                <pre>public static&nbsp;java.lang.StringBuffer&nbsp;parseFormat(java.lang.String&nbsp;fdesc,
                                                 <a href="../../../../../org/apache/poi/ss/format/CellFormatType.html"
                                                    title="enum in org.apache.poi.ss.format">CellFormatType</a>&nbsp;type,
                                                 org.apache.poi.ss.format.CellFormatPart.PartHandler&nbsp;partHandler)</pre>
                            </li>
                        </ul>
                        <a name="group-java.util.regex.Matcher-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>group</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;group(java.util.regex.Matcher&nbsp;m,
                                     int&nbsp;g)</pre>
                                <div class="block">Returns the string from the group, or <tt>""</tt> if the group is
                                    <tt>null</tt>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>m</code> - The matcher.</dd>
                                    <dd><code>g</code> - The group number.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The group or <tt>""</tt>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellFormatPart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/CellFormatCondition.html"
               title="class in org.apache.poi.ss.format"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/format/CellFormatResult.html"
               title="class in org.apache.poi.ss.format"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/format/CellFormatPart.html" target="_top">Frames</a>
        </li>
        <li><a href="CellFormatPart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
